Create Subscription
POST
https://organization.dattaremit.com/api/subscriptions/Requires a organization-scoped key.
Creates a Subscription.
## Subscription creation
Subscriptions can be created for webhook endpoints.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the subscription details in our private store |
| completed | The Platform has created the subscription |
| failed | The Platform was not able to successfully create the subscription |
Required scope: **subscriptions:execute
Body Params
requiredenvironmentsandbox | productionrequiredThe environment that the subscription is configured for.
typewebhook | emailrequiredType of the subscription.
namestringrequiredName provided for the subscription.
urlstringURL provided for the subscription. Required when type is webhook.
recipientstringRecipient email address. Required when type is email.
Responses
201Subscription created
401Unauthorized - Authentication failed
403Invalid scope
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/subscriptions/ \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"environment": "sandbox",
"type": "webhook",
"name": "string",
"url": "string",
"recipient": "string"
}'Response
Subscription created
{
"guid": "string",
"organization_guid": "string",
"name": "string",
"type": "webhook",
"url": "string",
"signing_key": "string",
"recipient": "string",
"deliveries_failing_since": "2026-07-20T16:27:51.438Z",
"environment": "string",
"state": "string",
"failure_code": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z"
}